Subject: bug#79274: 30.1; isearch should assume fresh string after hiatus

From: Dan Jacobson <[email-masked]>
Date: Wed, 20 Aug 2025 08:22:10 +0800

You know how CTRL+G, CTRL+F search in big name browsers works:
if one does something else for a while and comes back, the browser
assumes that any string entered is a new search, not an addition to the
current string.

E.g., I search for Trump. A few minutes later I then type in Nixon.
Well the browser knows that I now want to search for Nixon, not
"TrumpNixon".

That's how I think Emacs' isearch should work by default.

Yes, you might say "All you need to do is type... first".